<button class="skipLinks" (click)="skipToContent()" i18n="@@skipLinks.content">Go to content</button>
<button class="skipLinks" (click)="skipToFooter()" i18n="@@skipLinks.footer">Go to footer</button>

<div class="grid-layout" [ngClass]="{'is-home': isHomePage, 'prevent-scroll': feedbackIsOpened || sidebarOpened }"
  [attr.style]="sanitizer.bypassSecurityTrustStyle(communeStyle)"
>
  <app-header class="site-header" [ngClass]="{'is-not-with-feedback': !isFeedBackActive}"
    [commune]="commune" [isPortalLightTheme]="isPortalLightTheme"
  >
  </app-header>

  <app-side-menu class="side-menu" [ngClass]="{'is-active': sidebarOpened}" (closeMenu)="closeSideMenu()"
    [isOpened]="sidebarOpened" [isPortalLightTheme]="isPortalLightTheme">
  </app-side-menu>

  <main class="site-content" role="main" [ngClass]="{'is-wide': !sidebarOpened}">
    <a id="site-content" tabindex="-1"></a>
    <router-outlet></router-outlet>

    <app-notifications></app-notifications>
  </main>

  <a id="site-footer" tabindex="-1"></a>
  <app-footer class="site-footer" *ngIf="!isDatasetDetailTableMapPage"></app-footer>
</div>
